"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RBTree = exports.RBTreeNode = void 0;
const types_1 = require("../../types");
const bst_1 = require("./bst");
class RBTreeNode extends bst_1.BSTNode {
    constructor(key, value) {
        super(key, value);
        this.color = types_1.RBColor.RED;
    }
}
exports.RBTreeNode = RBTreeNode;
class RBTree extends bst_1.BST {
    constructor(options) {
        super(options);
    }
    createNode(key, value) {
        return new RBTreeNode(key, value);
    }
}
exports.RBTree = RBTree;
